Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgSim::LightPointNode Class Reference

Inheritance diagram for osgSim::LightPointNode:

[legend]
List of all members.

## Public Types
typedef std::vector< LightPoint > | LightPointList
## Public Member Functions
| LightPointNode ()
| LightPointNode (const LightPointNode &, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_Node (osgSim, LightPointNode)
virtual void | traverse (osg::NodeVisitor &nv)
| Traverse downwards : calls children's accept method with NodeVisitor.
unsigned int | getNumLightPoints () const
unsigned int | addLightPoint (const LightPoint &lp)
void | removeLightPoint (unsigned int pos)
LightPoint & | getLightPoint (unsigned int pos)
const LightPoint & | getLightPoint (unsigned int pos) const
void | setLightPointList (const LightPointList &lpl)
LightPointList & | getLightPointList ()
const LightPointList & | getLightPointList () const
void | setMinPixelSize (float minPixelSize)
float | getMinPixelSize () const
void | setMaxPixelSize (float maxPixelSize)
float | getMaxPixelSize () const
void | setMaxVisibleDistance2 (float maxVisibleDistance2)
float | getMaxVisibleDistance2 () const
void | setLightPointSystem (osgSim::LightPointSystem *lps)
osgSim::LightPointSystem * | getLightPointSystem ()
virtual osg::BoundingSphere | computeBound () const
| Compute the bounding sphere around Node's geometry or children.
## Protected Member Functions
| ~LightPointNode ()
## Protected Attributes
osg::BoundingBox | _bbox
LightPointList | _lightPointList
float | _minPixelSize
float | _maxPixelSize
float | _maxVisibleDistance2
osg::ref_ptr< osgSim::LightPointSystem > | _lightSystem

## Member Typedef Documentation

typedef std::vector< LightPoint > osgSim::LightPointNode::LightPointList

## Constructor & Destructor Documentation

osgSim::LightPointNode::LightPointNode | ( |  | ) |

osgSim::LightPointNode::LightPointNode | ( | const LightPointNode & | ,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY
| ) |

| Copy constructor using CopyOp to manage deep vs shallow copy.

osgSim::LightPointNode::~LightPointNode | ( |  | ) | `[inline, protected]`

## Member Function Documentation

unsigned int osgSim::LightPointNode::addLightPoint | ( | const LightPoint & | lp | ) |

virtual osg::BoundingSphere osgSim::LightPointNode::computeBound | ( |  | ) | const`[virtual]`

| Compute the bounding sphere around Node's geometry or children. This method is automatically called by getBound() when the bounding sphere has been marked dirty via dirtyBound(). Reimplemented from osg::Node.

const LightPoint& osgSim::LightPointNode::getLightPoint | ( | unsigned int | pos | ) | const`[inline]`

LightPoint& osgSim::LightPointNode::getLightPoint | ( | unsigned int | pos | ) | `[inline]`

const LightPointList& osgSim::LightPointNode::getLightPointList | ( |  | ) | const`[inline]`

LightPointList& osgSim::LightPointNode::getLightPointList | ( |  | ) | `[inline]`

osgSim::LightPointSystem* osgSim::LightPointNode::getLightPointSystem | ( |  | ) | `[inline]`

float osgSim::LightPointNode::getMaxPixelSize | ( |  | ) | const`[inline]`

float osgSim::LightPointNode::getMaxVisibleDistance2 | ( |  | ) | const`[inline]`

float osgSim::LightPointNode::getMinPixelSize | ( |  | ) | const`[inline]`

unsigned int osgSim::LightPointNode::getNumLightPoints | ( |  | ) | const`[inline]`

osgSim::LightPointNode::META_Node | ( | osgSim | ,
|  | LightPointNode |
| ) |

void osgSim::LightPointNode::removeLightPoint | ( | unsigned int | pos | ) |

void osgSim::LightPointNode::setLightPointList | ( | const LightPointList & | lpl | ) | `[inline]`

void osgSim::LightPointNode::setLightPointSystem | ( | osgSim::LightPointSystem * | lps | ) | `[inline]`

void osgSim::LightPointNode::setMaxPixelSize | ( | float | maxPixelSize | ) | `[inline]`

void osgSim::LightPointNode::setMaxVisibleDistance2 | ( | float | maxVisibleDistance2 | ) | `[inline]`

void osgSim::LightPointNode::setMinPixelSize | ( | float | minPixelSize | ) | `[inline]`

virtual void osgSim::LightPointNode::traverse | ( | osg::NodeVisitor & | nv | ) | `[virtual]`

| Traverse downwards : calls children's accept method with NodeVisitor. Reimplemented from osg::Node.

## Member Data Documentation

osg::BoundingBox osgSim::LightPointNode::_bbox`[mutable, protected]`

LightPointList osgSim::LightPointNode::_lightPointList`[protected]`

osg::ref_ptr<osgSim::LightPointSystem> osgSim::LightPointNode::_lightSystem`[protected]`

float osgSim::LightPointNode::_maxPixelSize`[protected]`

float osgSim::LightPointNode::_maxVisibleDistance2`[protected]`

float osgSim::LightPointNode::_minPixelSize`[protected]`

The documentation for this class was generated from the following file:

- LightPointNode